Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002493 [JEDI VCL] 00 JVCL Components tweak always 2005-01-10 06:05 2005-04-12 05:25
Reporter ralf.kaiser View Status public  
Assigned To remkobonte
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0002493: jvEdit.Flat inside a frame does not work
Description When a TjvEdit is used inside a TFrame with "Flat=true" the flat style is gone at runtime. At designtime it looks OK.
Additional Information
Tags No tags attached.
Attached Files ? file icon Screenshot_designtime.bmp [^] (36,754 bytes) 2005-01-10 06:06
? file icon Screenshot_runtime.bmp [^] (36,754 bytes) 2005-01-10 06:07
zip file icon Testproject.zip [^] (1,915 bytes) 2005-01-10 06:07

- Relationships

-  Notes
(0006128)
user72
2005-01-12 05:43

Seems Ctrl3D is default true in a form, but default false in a frame. Probably has to do with dfm reading vs. creation order. This fixes it, AFAICS:

procedure TJvCustomEdit.SetFlat(Value: Boolean);
begin
  if Value <> FFlat then
  begin
    FFlat := Value;
    {$IFDEF VCL}
    Ctl3D := FFlat; // NEW
    Ctl3D := not FFlat;
    {$ENDIF VCL}
    {$IFDEF VisualCLX}
    if FFlat then
      BorderStyle := bsNone
    else
      BorderStyle := bsSingle;
    Invalidate;
    {$ENDIF VisualCLX}
  end;
end;
(0006165)
obones (administrator)
2005-01-17 03:05

Following on the messages in jedi.vcl, can we consider this resolved?
(0006187)
remkobonte (developer)
2005-01-17 12:25

IMO ParentCtl3D should be republished to truely fix the problem.
(0006250)
ralf.kaiser (reporter)
2005-01-22 07:14

It has been discussed in the newsgroup that these changes would make TjvEdit.Flat work again (i have tested it on my local installtion) but it seems that this change has not been integrated into the source yet (just made a checkout to check it)
(0006255)
obones (administrator)
2005-01-22 10:01

This is now fixed in CVS and will be in JVCL 3.00 Stable
(0006492)
ralf.kaiser (reporter)
2005-02-14 01:12

jvEdit.Flat is working now but all maskedit type controls (e.g. TJvCustomComboEdit) still have the same problem that "Flat" is not correct displayed at runtime when the controls are placed in a frame.
(0006542)
user72
2005-02-21 15:54

>IMO ParentCtl3D should be republished to truely fix the problem.
And so should Ctl3D. The silliness of renaming Ctl3D to Flat just to look more "modern" is what caused this in the first place.
(0006644)
remkobonte (developer)
2005-03-06 15:54

I've added the ParentClt3D property to all controls that have a Flat property and reworked the storage logic of the Flat property a bit.

Please check if it works now.
(0006938)
obones (administrator)
2005-04-12 05:25

No answers for more than a month, this is considered to be resolved

- Issue History
Date Modified Username Field Change
2005-01-10 06:05 ralf.kaiser New Issue
2005-01-10 06:06 ralf.kaiser File Added: Screenshot_designtime.bmp
2005-01-10 06:07 ralf.kaiser File Added: Screenshot_runtime.bmp
2005-01-10 06:07 ralf.kaiser File Added: Testproject.zip
2005-01-10 13:24 ralf.kaiser Issue Monitored: ralf.kaiser
2005-01-12 05:43 user72 Note Added: 0006128
2005-01-12 05:43 user72 Status new => feedback
2005-01-17 03:05 obones Note Added: 0006165
2005-01-17 12:25 remkobonte Note Added: 0006187
2005-01-22 07:14 ralf.kaiser Note Added: 0006250
2005-01-22 10:01 obones Status feedback => resolved
2005-01-22 10:01 obones Fixed in Version => 3.00
2005-01-22 10:01 obones Resolution open => fixed
2005-01-22 10:01 obones Assigned To => obones
2005-01-22 10:01 obones Note Added: 0006255
2005-02-14 01:12 ralf.kaiser Assigned To obones =>
2005-02-14 01:12 ralf.kaiser Status resolved => feedback
2005-02-14 01:12 ralf.kaiser Resolution fixed => reopened
2005-02-14 01:12 ralf.kaiser Note Added: 0006492
2005-02-21 15:54 user72 Note Added: 0006542
2005-03-04 10:22 remkobonte Status feedback => assigned
2005-03-04 10:22 remkobonte Assigned To => remkobonte
2005-03-06 15:54 remkobonte Note Added: 0006644
2005-03-06 15:54 remkobonte Status assigned => feedback
2005-04-12 05:25 obones Status feedback => resolved
2005-04-12 05:25 obones Resolution reopened => fixed
2005-04-12 05:25 obones Note Added: 0006938


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker